
User Interface - Feature #2144

Feature # 1805 (Closed): add missing UI method support

add minimum runtime support for methods (server)

05/02/2013 07:22 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Vadim Gindin % Done: 0%

Category:  Estimated time: 32.00 hours

Target version: Cleanup and Stablization for Server

Features

  

billable: No vendor_id: GCD

Description

History

#1 - 05/02/2013 07:28 PM - Greg Shah

- Estimated time set to 32.00

- Due date set to 08/27/2013

- Assignee set to Constantin Asofiei

- Start date set to 08/22/2013

#2 - 01/21/2014 01:46 PM - Greg Shah

- Start date deleted (08/22/2013)

- Due date deleted (08/27/2013)

- Assignee changed from Constantin Asofiei to Vadim Gindin

Implement runtime support for DESELECT-ROWS and MOVE-BEFORE-TAB-ITEM.  Please put all history entries in the parent task (#1805).

#3 - 06/06/2014 10:06 AM - Greg Shah

- Status changed from New to Closed

#4 - 08/11/2014 01:29 PM - Vadim Gindin

- File vig_upd20140811a.zip added

During the work on that task I found that DESELECT-ROWS is already implemented and only some error checking was needed. I added that check.

All other big work was made for MOVE-BEFORE-TAB-ITEM. At the end of work on that task I forgot to commit changes for DESELECT-ROWS. Here

is the update for with these changes.

#5 - 08/11/2014 01:41 PM - Greg Shah

Code Review 0811a

1. This code needs null protection since query can be null.

      if(!query.isOpen().getValue() || query.getNumResults().intValue() == 0) {

 

2. Doesn't the inclusion of the . (2108) into the error string cause this portion to be "doubled up" in the resulting output?
         String msg = "Browse widget must contain at least one record before DESELECT-ROWS method is used. (21

08)";

 

3. There should be a space between the if and the following ( in 2 places.

4. The opening { needs to be on its own line.

#6 - 08/11/2014 04:42 PM - Vadim Gindin

- File vig_upd20140811b.zip added

next update with corrections

#7 - 08/11/2014 05:14 PM - Greg Shah

Code Review 0811b

I am fine with the changes.

#8 - 08/12/2014 03:14 AM - Vadim Gindin

passed regression testing and committed with rev 10596.

#9 - 11/16/2016 12:06 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

vig_upd20140811a.zip 9.76 KB 08/11/2014 Vadim Gindin

vig_upd20140811b.zip 9.78 KB 08/11/2014 Vadim Gindin
